For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
OverviewCodaControlAPI ReferenceChangelog
OverviewCodaControlAPI ReferenceChangelog
  • Coda API
      • GETList QPUs
      • POSTRun QPU
      • POSTQPU Status
      • POSTEstimate QPU Cost
  • Control API
  • Stanza API
    • stanza
    • cli
    • context
    • device
    • exceptions
    • models
    • pyvisa
    • registry
    • timing
    • utils
LogoLogo
Coda APIQPUs

List QPUs

GET
https://api.conductorquantum.com/v0/coda/qpus
GET
/v0/coda/qpus
1from conductorquantum import ConductorQuantum
2
3client = ConductorQuantum(token="<token>")
4devices = client.coda.qpus.list()
5print(devices)
200Retrieved
1{
2 "success": true,
3 "devices": [
4 {
5 "name": "iqm",
6 "provider": "IQM",
7 "qubits": 20,
8 "online": true,
9 "technology": "superconducting",
10 "type": "qpu"
11 }
12 ],
13 "max_shots": 10000
14}
List all available QPU devices with their current status, qubit counts, availability, and supported features.
Was this page helpful?
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful Response
successboolean
deviceslist of objects
max_shotsinteger